**Problem:** When linking to the raw version of a gist, the link changes with each revision.

**Solution:**

To return the first file from a gist: `https://gist.github.com/[gist_user]/[gist_id]/raw/`

* Example: <https://gist.github.com/atenni/5604522/raw/>
* Works even when you change the filename.

To get a file from multi–file gist: `https://gist.github.com/[gist_user]/[gist_id]/raw/[file_name]`

* Example: <https://gist.github.com/atenni/5604522/raw/README.md>

_(via: <http://stackoverflow.com/a/14529686>)_